ly_hexbin {rbokeh} | R Documentation

## Add a "hexbin" layer to a Bokeh figure

### Description

Add a "hexbin" layer to a Bokeh figure

### Usage

    ly_hexbin(fig, x, y = NULL, data = figure_data(fig), xbins = 30,
      shape = 1, xbnds = NULL, ybnds = NULL, style = "colorscale",
      trans = NULL, inv = NULL, lname = NULL, palette = "RdYlGn11",
      line = FALSE, alpha = 1, hover = TRUE, visible = TRUE)

### Arguments

`fig` | figure to modify
`x` | values or field name of center x coordinates to be binned
`y` | values or field name of center y coordinates to be binned
`data` | an optional data frame, providing the source for x and y
`xbins, shape, xbnds, ybnds` | parameters passed to `hexbin`
`style` | type of plotting for hexbins (see `grid.hexagons`) - "colorramp" and "lattice" are currently supported
`trans, inv` | transformation and inverse transformation function for the bin counts
`lname` | layer name
`palette` | name of color palette to use for color ramp (see here for acceptable values)
`line` | logical - should hexagons have an outline?
`alpha` | the alpha transparency of the hexagons between 0 (transparent) and 1 (opaque)
`hover` | logical - should a hover tool be added to show the count in each hexagon?
`visible` | should the layer be visible?

### Examples

    figure() %>% ly_hexbin(rnorm(10000), rnorm(10000))

[Package rbokeh version 0.5.0 Index]